Bug 23999 - Litmus test case mkcol_with_body fails
Summary: Litmus test case mkcol_with_body fails
Status: RESOLVED FIXED
Alias: None
Product: Tomcat 4
Classification: Unclassified
Component: Servlets:WebDAV (show other bugs)
Version: 4.1.29
Hardware: Other other
: P3 normal with 1 vote (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL: http://www.webdav.org/neon/litmus/
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-22 11:50 UTC by Julian Reschke
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments
Patch for TC4 to fix this bug (and 24001& 24005) (14.39 KB, patch)
2003-11-20 21:10 UTC, Mark Thomas
Details | Diff
Patch for TC5 to fix this bug (and 24001& 24005) (7.13 KB, patch)
2003-11-20 21:17 UTC, Mark Thomas
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Reschke 2003-10-22 11:50:45 UTC
MKCOL with weird body must fail (RFC2518:8.3.1) but doesn't.

Log excerpt:

******* Running test 12: mkcol_with_body ********
Creating request...
Running request create hooks.
ah_create, for WWW-Authenticate
Request created.
Running pre_send hooks
Not handling session.
Sending request headers:
MKCOL /webdav/litmus/mkcolbody HTTP/1.1

Host: selma:8080

User-Agent: litmus/0.9.4 neon/0.24.0

Connection: TE

TE: trailers

Content-Type: xzy-foo/bar-512

Content-Length: 8

X-Litmus: basic: 12 (mkcol_with_body)



Sending request-line and headers:
Sending request body...
Body block (8 bytes):
[afafafaf]
Request body sent: okay.
Request sent; retry is 1
[status-line] < HTTP/1.1 201 Created

[hdr] Content-Type: text/plain

Header Name: [content-type], Value: [text/plain]
[hdr] Content-Length: 0

Header Name: [content-length], Value: [0]
[hdr] Date: Wed, 22 Oct 2003 11:45:32 GMT

Header Name: [date], Value: [Wed, 22 Oct 2003 11:45:32 GMT]
[hdr] Server: Apache Coyote/1.0

Header Name: [server], Value: [Apache Coyote/1.0]
[hdr] 

End of headers.
Running post_send hooks
ah_post_send (#0), code is 201 (want 401), WWW-Authenticate is null
Request ends, status 201 class 2xx, error line:
201 Created
Comment 1 Remy Maucherat 2003-10-22 11:55:23 UTC
Unless you are volunteering to fix those issues, and basically are willing to
maintain the WebDAV servlet, they will never be addressed.
Comment 2 Julian Reschke 2003-11-16 12:22:25 UTC
I don't understand this comment. Can we please keep the issue of what is a bug
or not, and whether and when it will be adressed separate?

The Litmus test suite is a extremely useful tool to verify basic RFC2518
conformance. If it reports a FAIL during it's "basic" test suite, this is a
problem, and thus should be present in the issues database.
Comment 3 Mark Thomas 2003-11-20 21:10:12 UTC
Created attachment 9218 [details]
Patch for TC4 to fix this bug (and 24001& 24005)
Comment 4 Mark Thomas 2003-11-20 21:17:32 UTC
Created attachment 9219 [details]
Patch for TC5 to fix this bug (and 24001& 24005)
Comment 5 Mark Thomas 2003-12-10 21:38:58 UTC
The necessary changes have been committed to CVS and will be included in the 
next release.